Page MenuHomePhabricator

Archive all pages on mediawiki.org and items on wikidata.org about MediaWiki SVN extensions/skins
Closed, ResolvedPublic

Description

All pages related to extensions/skins for MediaWiki.org hosted on SVN should be archived because there are unmaintained. Things which should be done are: archiving pages on Mediawiki.org and items on wikidata.org

This will be tracking task for status of doing this job.

ToDo:

  • [[Extension:CategoryStepper]]
  • [[Extension:CountEdits]]
  • [[Extension:CrossNamespaceLinks]]
  • [[Extension:CrowdAuthentication]]
  • [[Extension:DataCenter]]
  • [[Extension:DataTransclusion]]
  • [[Extension:EditConflict]]
  • [[Extension:FixedImage]]
  • [[Extension:FlagPage]]
  • [[Extension:GoToCategory]]
  • [[Extension:HideNamespace]]
  • [[Extension:Imagetabs]]
  • [[Extension:JIRA]]
  • [[Extension:LinkOpenID]]
  • [[Extension:MagicNoNumberedHeadings]]
  • [[Extension:MathStatFunctions]]
  • [[Extension:MetaKeywords]]
  • [[Extension:MicroID]]
  • [[Extension:MiniDonation]]
  • [[Extension:MiniPreview]]
  • [[Extension:Multilang]]
  • [[Extension:Notificator]]
  • [[Extension:PageBy]]
  • [[Extension:Player]]
  • [[Extension:Plotters]]
  • [[Extension:PostComment]]
  • [[Extension:PrivatePageProtection]]
  • [[Extension:ProtectSection]]
  • [[Extension:PSINoTocNum]]
  • [[Extension:Redircite]]
  • [[Extension:Redirect]]
  • [[Extension:SearchBox]]
  • [[Extension:Seealso]]
  • [[Extension:Stale Pages]]
  • [[Extension:StockCharts]]
  • [[Extension:StringFunctions]]
  • [[Extension:Tab0]]
  • [[Extension:TalkHere]]
  • [[Extension:TemplateLink]]
  • [[Extension:Tooltip]]
  • [[Extension:User Contact Links]]
  • [[Extension:User Rights Email Notification]]
  • [[Extension:WebDAV]]
  • [[Extension:WhatIsMyIP]]
  • [[Extension:WikiSync]]

Event Timeline

Mentioned in SAL (#wikimedia-cloud) [2019-01-05T08:50:22Z] <Zoranzoki21> Starting process of resolving T212994

Mentioned in SAL (#wikimedia-cloud) [2019-01-05T08:59:03Z] <Zoranzoki21> Moving process of resolving T212994 to zoranzoki21wiki tool

Mentioned in SAL (#wikimedia-cloud) [2019-01-05T09:03:44Z] <Zoranzoki21> tools.zoranzoki21wiki: Archived Extension:AjaxQueryPages at MediaWiki.org per T212994

Mentioned in SAL (#wikimedia-cloud) [2019-01-05T09:16:27Z] <Zoranzoki21> tools.zoranzoki21wiki: Archived Extension:AjaxQueryPages at wikidata.org (https://www.wikidata.org/wiki/Q21676173) - T212994

Mentioned in SAL (#wikimedia-cloud) [2019-01-05T09:19:25Z] <Zoranzoki21> tools.zoranzoki21wiki: Archived Extension:AmazonPartnerLink at MediaWiki.org per T212994

Mentioned in SAL (#wikimedia-cloud) [2019-01-05T09:22:02Z] <Zoranzoki21> tools.zoranzoki21wiki: Archived Extension:AmazonPartnerLink at wikidata.org (https://www.wikidata.org/wiki/Q21676304) - T212994

Mentioned in SAL (#wikimedia-cloud) [2019-01-05T09:40:42Z] <Zoranzoki21> tools.zoranzoki21wiki: Archived hhttps://www.mediawiki.org/wiki/Extension:Back-and-Forth (https://www.wikidata.org/wiki/Q21676612) - T212994

Kizule moved this task from Inbox to Working on on the User-Kizule board.Feb 16 2019, 10:41 PM
Kizule moved this task from Untriaged to Hodgepodge on the Projects-Cleanup board.Feb 18 2019, 8:16 PM

I resume with working on this.

Kizule triaged this task as Medium priority.Feb 18 2019, 8:19 PM
This comment was removed by Kizule.

@Zoranzoki21 Can you add that list to the description to make it easier for others to track progress?

@Zoranzoki21 Can you add that list to the description to make it easier for others to track progress?

Yes, sure.

Kizule updated the task description. (Show Details)Feb 18 2019, 8:53 PM
In T212994#4962665, @Zoranzoki21 wrote:

Yes, sure.

Thanks! =)

Aklapper renamed this task from Archive all pages/items on wikidata.org related to MediaWiki SVN extensions/skins (tracking) to Archive all pages on mediawiki.org and items on wikidata.org about MediaWiki SVN extensions/skins (tracking).Dec 15 2019, 10:51 AM
Aklapper lowered the priority of this task from Medium to Low.
Aklapper added a project: Epic.

This is very related to T201251 which lists more required steps.

This is very related to T201251 which lists more required steps.

@Aklapper Yep, but this is task for SVN related extensions which just have page on Mediawiki.org and item on Wikidata.

Thanks @Liuxinyu970226 I will do this and for StringFuctions.

In T212994#6115238, @Zoranzoki21 wrote:

Thanks, I'll fix it when I fix my laptop today.

... 10 days later

In T212994#6115238, @Zoranzoki21 wrote:

Thanks, I'll fix it when I fix my laptop today.

... 10 days later

I forgot on his task. Sorry..

Pppery claimed this task.May 18 2020, 9:22 PM
Kizule moved this task from Working on to Watching on the User-Kizule board.May 18 2020, 9:23 PM
Pppery added a comment.EditedMay 18 2020, 10:12 PM

Done the MediaWiki.org pages, except for 13 than need to be removed from translation by a translation administrator (although Shirayuki will probably handle that if no one else does). I'll do the Wikidata items (using QuickStatements) shortly.

Done the MediaWiki.org pages, except for 13 than need to be removed from translation by a translation administrator. I'll do the Wikidata items (using QuickStatements) shortly.

If you can link the pages that need to be removed from translation, will do

Pppery added a comment.EditedMay 18 2020, 10:22 PM

Also, could a Project-Admins member archive #mediawiki-extensions-countedits and MediaWiki-extensions-CooperationStatistics? They seem to have a custom edit policy for some reason.

Also, could a Project-Admins member archive #mediawiki-extensions-countedits and MediaWiki-extensions-CooperationStatistics? They seem to have a custom edit policy for some reason.

Will do.

Also, could a Project-Admins member archive #mediawiki-extensions-countedits and MediaWiki-extensions-CooperationStatistics? They seem to have a custom edit policy for some reason.

{{done}}

Oh, you're faster @DannyS712. Thanks!

Done the MediaWiki.org pages, except for 13 than need to be removed from translation by a translation administrator. I'll do the Wikidata items (using QuickStatements) shortly.

If you can link the pages that need to be removed from translation, will do

Extension:Facebook (not actuallly part of this task, but an unrelated extension I archived earlier)
Extension:SpecialTalk
Extension:FlagPage
Extension:CountEdits
Extension:CategoryIntersection
Extension:CollaborativeWatchlist
Extension:Categorize
Extension:PurgeCache
Extension:BookInformation
Extension:GeoIP
Extension:PeopleCategories
Extension:ServerAdminLog
Extension:CategoryMultisortChinese
Extension:Local_jQuery

Done the MediaWiki.org pages, except for 13 than need to be removed from translation by a translation administrator. I'll do the Wikidata items (using QuickStatements) shortly.

If you can link the pages that need to be removed from translation, will do

Extension:Facebook (not actuallly part of this task, but an unrelated extension I archived earlier)
Extension:SpecialTalk
Extension:FlagPage
Extension:CountEdits
Extension:CategoryIntersection
Extension:CollaborativeWatchlist
Extension:Categorize
Extension:PurgeCache
Extension:BookInformation
Extension:GeoIP
Extension:PeopleCategories
Extension:ServerAdminLog
Extension:CategoryMultisortChinese
Extension:Local_jQuery

{{done}} all

Pppery closed this task as Resolved.May 18 2020, 10:39 PM
Pppery renamed this task from Archive all pages on mediawiki.org and items on wikidata.org about MediaWiki SVN extensions/skins (tracking) to Archive all pages on mediawiki.org and items on wikidata.org about MediaWiki SVN extensions/skins.May 18 2020, 11:11 PM
Pppery removed a project: Epic.

Thanks so much for fixing this! <3

Hi,
For [[Extension:PrivatePageProtection]]
If you can help ?

I have this with Mediawiki 1.34.2 :

[aca04048717ef13142e26f9e] / UnexpectedValueException from line 462 of /var/www/mediawiki/includes/libs/rdbms/loadbalancer/LoadBalancer.php: Invalid server index index #DB_SLAVE

Backtrace:

#0 /var/www/mediawiki/includes/libs/rdbms/loadbalancer/LoadBalancer.php(896): Wikimedia\Rdbms\LoadBalancer->getConnectionIndex()
#1 /var/www/mediawiki/includes/libs/rdbms/loadbalancer/LoadBalancer.php(1043): Wikimedia\Rdbms\LoadBalancer->getConnection()
#2 /var/www/mediawiki/includes/GlobalFunctions.php(2575): Wikimedia\Rdbms\LoadBalancer->getMaintenanceConnectionRef()
#3 /var/www/mediawiki/extensions/PrivatePageProtection/PrivatePageProtection.php(95): wfGetDB()
#4 /var/www/mediawiki/extensions/PrivatePageProtection/PrivatePageProtection.php(139): privateppGetAllowedGroups()
#5 /var/www/mediawiki/includes/Hooks.php(174): privateppUserPermissionsErrors()
#6 /var/www/mediawiki/includes/Hooks.php(202): Hooks::callHook()
#7 /var/www/mediawiki/includes/Permissions/PermissionManager.php(444): Hooks::run()
#8 /var/www/mediawiki/includes/Permissions/PermissionManager.php(395): MediaWiki\Permissions\PermissionManager->checkPermissionHooks()
#9 /var/www/mediawiki/includes/Permissions/PermissionManager.php(275): MediaWiki\Permissions\PermissionManager->getPermissionErrorsInternal()
#10 /var/www/mediawiki/includes/Title.php(2403): MediaWiki\Permissions\PermissionManager->getPermissionErrors()
#11 /var/www/mediawiki/includes/MediaWiki.php(206): Title->getUserPermissionsErrors()
#12 /var/www/mediawiki/includes/MediaWiki.php(900): MediaWiki->performRequest()
#13 /var/www/mediawiki/includes/MediaWiki.php(527): MediaWiki->main()
#14 /var/www/mediawiki/index.php(44): MediaWiki->run()
#15 {main}

Work with Mediawiki 1.33.3, not with 1.34.2.

Pppery added a comment.EditedSep 6 2020, 12:48 AM

The solution is to not use unmaintained extensions. I'm honestly impressed that it worked in 1.33.3 at all, given that the code hadn't been changed since 2012. (Also, this is off-topic)

If you can help ?

@Zer00CooL: Hi, this task is about archiving codebases, see its task title.
This task is not about random problems with random extensions.
In general, please use the support desk for support questions. Thanks a lot!

Ok, i have create a ticket for update PrivatePageProtection : https://www.mediawiki.org/wiki/Topic:Vtgzx8f5r8dy2ehr
If you can look for help, this is a good extension.